@echo off

if [%1] == [] goto :error
if [%2] == [] goto :error

set bom_log_path=%2
set out_path=%bom_log_path:~1,-1%

cd /d %~dp0
rd /s /q .\temp\data 2>nul
del .\temp\data.zip 2>nul

.\bin\ssda_lite -def .\bin\collect.config -out .\temp\data.zip -log ssda_lite.log
.\bin\7za x -otemp\data -y .\temp\data.zip >nul
powershell -ExecutionPolicy Bypass -File .\bin\DailyReportDataCollect.ps1 -prm_bom_instance %1 -prm_out_xml_path ".\temp\data\bom_data.xml"
.\bin\DesignPrinter -f ".\design\DailyReport.frx" -c "name=bom_data; xsdfile=.\design\bom_data.xsd;xmlfile=.\temp\data\bom_data.xml" -c "name=ssda_data; xsdfile=.\design\ssda_data.xsd;xmlfile=.\temp\data\ssda_data.xml" -o "%out_path%\DailyReport.pdf" -e pdf -w true -p true
if %ERRORLEVEL% neq 0 (
  echo Ď|[g쐬Ɏs܂B
  exit /b 1
) 

rd /s /q .\temp\data 2>nul
del .\temp\data.zip 2>nul
exit /b 0

:error
  echo BOMCX^XƏo͐w肵ĂB
  echo Lq: dailyreport.bat [BOMCX^X] [|[go͐] 
  exit /b 1
